> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create section

> Requires a token with the external-api:write ability. name string required slug string | null position integer | null cURL JavaScript Python PHP cURL JavaScript Python PHP 201 Created 201 Created 422 Unprocessable Content id string Format: uuid . name string slug string position integer | null…

```http
POST https://api.weav.com/v1/kb-sections
```

Requires a token with the `external-api:write` ability.

## Body

<ParamField body="name" type="string" required>

</ParamField>

<ParamField body="slug" type="string | null">

</ParamField>

<ParamField body="position" type="integer | null">

</ParamField>

## Request

<CodeGroup>

```bash cURL
curl --request POST \
  --url 'https://api.weav.com/v1/kb-sections' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string"
}'
```

```js JavaScript
const body = {
  "name": "string"
};
const response = await fetch("https://api.weav.com/v1/kb-sections", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify(body)
});
console.log(await response.json());
```

```python Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"name": "string"}
response = requests.post("https://api.weav.com/v1/kb-sections", headers=headers, json=body)
print(response.json())
```

```php PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('POST', 'https://api.weav.com/v1/kb-sections', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
    'json' => array (
  'name' => 'string',
),
]);
echo $response->getBody();
```

</CodeGroup>

## Response

<CodeGroup>

```json 201 Created
{
    "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "name": "string",
    "slug": "string",
    "position": 0,
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-01T00:00:00Z"
}
```

</CodeGroup>

- `422` Unprocessable Content

## Response fields

<ParamField body="id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="name" type="string">

</ParamField>

<ParamField body="slug" type="string">

</ParamField>

<ParamField body="position" type="integer | null">

</ParamField>

<ParamField body="created_at" type="string | null">
Format: `date-time`.
</ParamField>

<ParamField body="updated_at" type="string | null">
Format: `date-time`.
</ParamField>

---

This knowledge base is built and hosted on [Weav](https://weav.com).
